import { AfterViewInit, ElementRef } from '@angular/core';
import { EditorLocale, EditorOption } from './models';
import * as i0 from "@angular/core";
export declare const MARKDOWN_EDITOR_VALUE_ACCESSOR: any;
export declare class AngularMarkdownEditorComponent implements AfterViewInit {
    private readonly elm;
    private forRootConfig;
    /** Locale set that has a language and dictionary that can be added as an alternative language. Can be 1 or more dictionaries */
    set locale(locale: EditorLocale | EditorLocale[]);
    /** Id of the textarea DOM element used by the lib */
    textareaId: string;
    /** Markdown Editor Options to pass to the element */
    options?: EditorOption;
    /** Number of rows for the textarea */
    rows: number;
    /** These do not actually ever emit, since bootstrap-markdown already emits the event. This is simply just for typings **/
    private readonly _onShow;
    private readonly _onPreview;
    private readonly _onPreviewEnd;
    private readonly _onSave;
    private readonly _onBlur;
    private readonly _onFocus;
    private readonly _onChange;
    private readonly _onFullscreen;
    private readonly _onFullscreenExit;
    private readonly _onSelect;
    value: any | any[];
    onModelChange: Function;
    onModelTouched: Function;
    constructor(elm: ElementRef, forRootConfig: EditorOption);
    ngAfterViewInit(): void;
    addLocaleSet(editorLocale: EditorLocale | EditorLocale[]): void;
    initialization(): void;
    /**
     * Hook any of the editor event(s) to Dispatch Custom Event so that we can use them in Angular with (onX)="doSomething($event.detail.eventData)"
     * @param editor options
     */
    hookToEditorEvents(options: any): void;
    /**
     * Write value to the native element
     * @param value string
     */
    writeValue(value: string): void;
    registerOnChange(fn: Function): void;
    registerOnTouched(fn: Function): void;
    /** Dispatch of Custom Event, which by default will bubble & is cancelable */
    private dispatchCustomEvent;
    static ɵfac: i0.ɵɵFactoryDeclaration<AngularMarkdownEditorComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<AngularMarkdownEditorComponent, "angular-markdown-editor", never, { "locale": "locale"; "textareaId": "textareaId"; "options": "options"; "rows": "rows"; }, { "_onShow": "onShow"; "_onPreview": "onPreview"; "_onPreviewEnd": "onPreviewEnd"; "_onSave": "onSave"; "_onBlur": "onBlur"; "_onFocus": "onFocus"; "_onChange": "onChange"; "_onFullscreen": "onFullscreen"; "_onFullscreenExit": "onFullscreenExit"; "_onSelect": "onSelect"; }, never, never, false>;
}
